Subject: Re: [Bugme-new] [Bug 14794] New: IP address assigned by DHCP is dropped after ~40 seconds

From: Roland Dreier <[email-masked]>
Date: Fri, 18 Dec 2009 00:16:13 -0800

> Unfortunately reverting the commit 61cbe54d9479ad98283b2dda686deae4c34b2d59 on
 > top of 2.6.32 does not solve the problem.

Is there any possibility that one of the steps of the bisection was
wrong?  Could you possibly have accidentally marked a "bad" kernel as
"good"?

Addresses like 169.254.123.251 are RFC 3297 zeroconf link-local
addresses.  I think network manager will assign one of those if it
thinks the DHCP negotiation failed.

It might be informative to compare the network manager and dhclient log
output (maybe in /var/log/daemon.log?) in the good and bad cases.

 - R.